# Method: projects.locations.authzExtensions.list

- [HTTP request](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.ListAuthzExtensionsResponse.SCHEMA_REPRESENTATION)
- [IAM Permissions](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions/list#body.aspect)

Lists `AuthzExtension` resources in a given project and location.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{parent=projects/*/locations/*}/authzExtensions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which the `AuthzExtension` resources are listed. These values are specified in the following format: `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. The server might return fewer items than requested. If unspecified, the server picks an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results that the server returns. |
| `filter` | `string` Optional. Filtering results. |
| `orderBy` | `string` Optional. Hint about how to order the results. |

### Request body

The request body must be empty.

### Response body

Message for response to listing `AuthzExtension` resources.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "authzExtensions": [ { object (`https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions#AuthzExtension`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `authzExtensions[]` | ``object (`https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.authzExtensions#AuthzExtension`)`` The list of `AuthzExtension` resources. |
| `nextPageToken` | `string` A token identifying a page of results that the server returns. |
| `unreachable[]` | `string` Locations that could not be reached. |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `networkservices.authzExtensions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).